XFcAsyncCallBack class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcAsyncCallBack Class Reference

XFcAsyncCallBack is asyncronous callback interface for asyncronous sockets. More...

Inheritance diagram for XFcAsyncCallBack:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcAsyncCallBack ()
| Virtual destructor.
virtual XFCIMPORT void | actionReady (INT32 aStatus=0)=0
| Socket action is ready.
virtual XFCIMPORT void | actionFailed (INT32 aStatus=0)=0
| Socket action failed.
virtual XFCIMPORT void | actionCancel (INT32 aStatus=0)=0
| Socket action canceled.
virtual XFCIMPORT void | actionReceive (const CHAR8 *aBuffer, INT32 aBufferSize)=0
| Socket has received some data.
virtual XFCIMPORT void | actionSend (INT32 aStatus=0)=0
| Socket is ready to send more data.

## Protected Member Functions

XFCIMPORT | XFcAsyncCallBack ()
| Constructor.

## Detailed Description

XFcAsyncCallBack is asyncronous callback interface for asyncronous sockets.

Callbacks are handled with three pure virtual functions. These functions do not give any error status. Error or fail status is given with function call.

## Constructor & Destructor Documentation

XFCIMPORT XFcAsyncCallBack::XFcAsyncCallBack | ( |  | ) | `[protected]`

| Constructor.

virtual XFCIMPORT XFcAsyncCallBack::~XFcAsyncCallBack | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual XFCIMPORT void XFcAsyncCallBack::actionCancel | ( | INT32 | aStatus = 0 | ) | `[pure virtual]`

| Socket action canceled. Implemented in XFcBtClientWin.

virtual XFCIMPORT void XFcAsyncCallBack::actionFailed | ( | INT32 | aStatus = 0 | ) | `[pure virtual]`

| Socket action failed. Implemented in XFcBtClientWin.

virtual XFCIMPORT void XFcAsyncCallBack::actionReady | ( | INT32 | aStatus = 0 | ) | `[pure virtual]`

| Socket action is ready. Implemented in XFcBtClientWin.

virtual XFCIMPORT void XFcAsyncCallBack::actionReceive | ( | const CHAR8 * | aBuffer,
|  | INT32 | aBufferSize
| ) | `[pure virtual]`

| Socket has received some data. Implemented in XFcBtClientWin.

virtual XFCIMPORT void XFcAsyncCallBack::actionSend | ( | INT32 | aStatus = 0 | ) | `[pure virtual]`

| Socket is ready to send more data. Implemented in XFcBtClientWin.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch